package com.miaxis.app.controller.car;

import com.miaxis.car.service.ICarBrandInfoService;
import com.miaxis.common.constant.Constants;
import com.miaxis.common.core.controller.BaseController;
import com.miaxis.common.core.domain.Response;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author wwl
 * @version 1.0
 * @date 2021/5/24 10:10
 */
@RestController
@RequiredArgsConstructor
@RequestMapping(Constants.STUDENT_PREFIX+"/applet/car")
@Api(tags={"【小程序-汽车品牌】"})
public class AppletCarController extends BaseController {

    private final ICarBrandInfoService carBrandInfoService;

    /**
     * 查询汽车品牌列表
     */
    @GetMapping("/list")
    @ApiOperation("查询汽车品牌列表")
    public Response list(){
        return carBrandInfoService.selectCarBrandInfoList();
    }


}
