package com.miaxis.app.controller.carousel;

import com.miaxis.carousel.service.IHomePageDataInfoService;
import com.miaxis.common.constant.Constants;
import com.miaxis.common.core.controller.BaseController;
import com.miaxis.common.core.domain.Response;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 【小程序-首页数据】Controller
 * @author wwl
 * @version 1.0
 * @date 2021/4/16 16:13
 */
@RestController
@RequiredArgsConstructor
@RequestMapping(Constants.STUDENT_PREFIX+"/applet/homePage")
@Api(tags = {"【小程序-首页数据】"})
public class AppletHomePageDataInfoController extends BaseController {

    private final IHomePageDataInfoService homePageDataInfoService;

    /**
     * 查询首页数据列表
     */
    @GetMapping(value = "/getHomePageDataList")
    @ApiOperation("查询首页数据列表")
    public Response getHomePageDataList() {

        return homePageDataInfoService.getHomePageDataList();
    }



}
