package com.miaxis.app.controller.question;

import com.miaxis.common.constant.Constants;
import com.miaxis.common.core.controller.BaseController;
import com.miaxis.common.core.page.ResponsePageInfo;
import com.miaxis.question.domain.QuestionInfo;
import com.miaxis.question.dto.QuestionInfoDto;
import com.miaxis.question.dto.QuestionInfoRandDto;
import com.miaxis.question.service.IQuestionInfoService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 【题库】Controller
 *
 * @author miaxis
 * @date 2021-03-12
 */
@RestController
@RequestMapping(Constants.STUDENT_PREFIX+"/question/info")
@Api(tags={"【小程序-题库】"})
public class QuestionInfoController extends BaseController{
    @Autowired
    private IQuestionInfoService questionInfoService;

    /**
     * 查询题库列表
     */
//    @PreAuthorize("@ss.hasPermi('question:info:list')")
//    @GetMapping("/list")
//    @ApiOperation("查询题库列表")
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "pageNum",value = "当前页码" ,dataType = "int", paramType = "query", required = false),
//            @ApiImplicitParam(name = "pageSize",value = "每页数据量" , dataType = "int", paramType = "query", required = false),
//    })
//    public ResponsePageInfo<QuestionInfo> list(@ModelAttribute QuestionInfo questionInfo){
//        startPage();
//        List<QuestionInfo> list = questionInfoService.selectQuestionInfoList(questionInfo);
//        return toResponsePageInfo(list);
//    }

    @GetMapping("/getQuestionInfoList")
    @ApiOperation("查询题库列表")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "pageNum",value = "当前页码" ,dataType = "int", paramType = "query", required = false),
            @ApiImplicitParam(name = "pageSize",value = "每页数据量" , dataType = "int", paramType = "query", required = false),
    })
    public ResponsePageInfo<QuestionInfo> getQuestionInfoList(@ModelAttribute QuestionInfoDto questionInfoDto){
        startPage();
        List<QuestionInfo> list = questionInfoService.getQuestionInfoList(questionInfoDto);
        return toResponsePageInfo(list);
    }

    @GetMapping("/getRandQuestionInfoList")
    @ApiOperation("查询随机题库列表")
    public ResponsePageInfo<QuestionInfo> getRandQuestionInfoList(@ModelAttribute QuestionInfoRandDto questionInfoRandDto){
//        startPage();
        List<QuestionInfo> list = questionInfoService.getRandQuestionInfoList(questionInfoRandDto);
        return toResponsePageInfo(list);
    }






}
