package com.miaxis.car.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 汽车参数数据对象 car_parameter_data
 * @author wwl
 * @version 1.0
 * @date 2021/5/27 17:01
 */
@Data
@TableName("car_parameter_data")
@ApiModel(value = "CarParameterData", description = "汽车参数数据对象 car_parameter_data")
public class CarParameterData extends BaseBusinessEntity {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id")
    @ApiModelProperty(value = "$column.columnComment")
    private Long id;

    @TableField("parameter_name")
    @ApiModelProperty(value = "参数名")
    private String parameterName;

    @TableField("parameter_value")
    @ApiModelProperty(value = "参数值")
    private String parameterValue;

    @TableField("parameter_type")
    @ApiModelProperty(value = "参数类型（关联car_parameter_type）")
    private String parameterType;

    @TableField("parameter_sort")
    @ApiModelProperty(value = "排序")
    private Integer parameterSort;

    @TableField("status")
    @ApiModelProperty(value = "状态（0正常 1停用）")
    private String status;

}
