package com.miaxis.car.domain;

import cn.hutool.json.JSONObject;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler;
import com.google.gson.JsonObject;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 二手车对象 used_car_info
 * @author wwl
 * @version 1.0
 * @date 2021/5/26 13:38
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(autoResultMap = true)
@ApiModel(value = "UsedCarInfo", description = "二手车对象 used_car_info")
public class UsedCarInfo extends BaseBusinessEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @TableId(value = "id")
    @ApiModelProperty(value = "$column.columnComment")
    private Long id;

    @TableField("user_id")
    @ApiModelProperty(value = "用户id(user_info表id)")
    private Long userId;

    /** 车辆品牌id（关联car_brand_info表） */
    @TableField("car_brand")
    @ApiModelProperty(value = "车辆品牌id（关联car_brand_info表）")
    private Long carBrand;

    /** 车系车款 */
    @TableField("car_series")
    @ApiModelProperty(value = "车系车款")
    private String carSeries;

    /** 汽车排量 */
    @TableField("vehicle_displacement")
    @ApiModelProperty(value = "汽车排量")
    private String vehicleDisplacement;

    /** 购买日期 */
    @TableField("purchase_date")
    @ApiModelProperty(value = "购买日期")
    private Date purchaseDate;

    /** 出售价格 */
    @TableField("selling_price")
    @ApiModelProperty(value = "出售价格")
    private BigDecimal sellingPrice;

    /** 车辆介绍 */
    @TableField("vehicle_introduction")
    @ApiModelProperty(value = "车辆介绍")
    private String vehicleIntroduction;

    /** 生产国 */
    @TableField("producing_country")
    @ApiModelProperty(value = "生产国")
    private Integer producingCountry;

    /** 座位数 */
    @TableField("number_of_seats")
    @ApiModelProperty(value = "座位数")
    private Integer numberOfSeats;

    /** 车型 */
    @TableField("model")
    @ApiModelProperty(value = "车型")
    private Integer model;

    /** 燃料 */
    @TableField("fuel")
    @ApiModelProperty(value = "燃料")
    private String fuel;

    /** 车身结构 */
    @TableField("body_structure")
    @ApiModelProperty(value = "车身结构")
    private String bodyStructure;

    /** 驱动方式 */
    @TableField("driving_mode")
    @ApiModelProperty(value = "驱动方式")
    private String drivingMode;

    /** 变速箱 */
    @TableField("transmission_case")
    @ApiModelProperty(value = "变速箱")
    private String transmissionCase;

    /** 购买价格 */
    @TableField("purchase_price")
    @ApiModelProperty(value = "购买价格")
    private BigDecimal purchasePrice;

    /** 过户次数 */
    @TableField("transfer_frequency")
    @ApiModelProperty(value = "过户次数")
    private Integer transferFrequency;

    /** 排放标准 */
    @TableField("emission_standard")
    @ApiModelProperty(value = "排放标准")
    private Integer emissionStandard;

    /** 看车点 */
    @TableField("car_watching_point")
    @ApiModelProperty(value = "看车点")
    private String carWatchingPoint;

    @TableField("examine_status")
    @ApiModelProperty(value = "审核状态  0：待审核(默认)、1：审核通过、2：审核未通过")
    private String examineStatus;

    @TableField("audit_information")
    @ApiModelProperty(value = "审核信息（审核未通过原因）")
    private String auditInformation;

    /** 状态  0：有效(默认)、1：失效 （伪删除） */
    @TableField("status")
    @ApiModelProperty(value = "状态  0：有效(默认)、1：失效 （伪删除）")
    private String status;

    @TableField(typeHandler = JacksonTypeHandler.class)
    @ApiModelProperty(value = "ceshi")
    private JsonObject testA;


}
