package com.miaxis.car.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.miaxis.car.domain.UsedCarInfo;
import com.miaxis.car.dto.ExamineUsedCarDto;
import com.miaxis.car.dto.UsedCarInfoDto;
import com.miaxis.common.core.domain.Response;

import java.util.List;

/**
 * 二手车service接口
 * @author wwl
 * @version 1.0
 * @date 2021/5/26 13:42
 */
public interface IUsedCarInfoService extends IService<UsedCarInfo> {

    /**
     * 查询二手车列表
     *
     * @param usedCarInfo 二手车
     * @return 二手车集合
     */
    List<UsedCarInfo> selectUsedCarInfoList(UsedCarInfo usedCarInfo);

    /**
     * applet
     * 新增二手车
     * @param usedCarInfoDto
     * @return
     */
    Response saveUsedCarInfo(UsedCarInfoDto usedCarInfoDto);

    /**
     * 修改二手车
     * @param usedCarInfoDto
     * @return
     */
    Response updateUsedCarById(UsedCarInfoDto usedCarInfoDto);

    /**
     * 查询二手车参数列表
     * @param parameterType
     * @return
     */
    Response selectDictDataCarList(String[] parameterType);

    /**
     * 获取二手车详细信息
     * @param id
     * @return
     */
    Response getUsedCarById(Long id);

    /**
     * 编辑二手车
     * @param usedCarInfoDto
     * @return
     */
    Response editUsedCarById(UsedCarInfoDto usedCarInfoDto);

    /**
     * 二手车审核
     * @param examineUsedCarDto
     * @return
     */
    Response usedCarExamine(ExamineUsedCarDto examineUsedCarDto);

    /**
     * 删除二手车(伪删除)
     * @param ids
     * @return
     */
    Response removeUsedCarByIds(Long[] ids);
}
