package com.miaxis.car.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.miaxis.car.domain.CarBrandInfo;
import com.miaxis.car.mapper.CarBrandInfoMapper;
import com.miaxis.car.service.ICarBrandInfoService;
import com.miaxis.common.core.domain.Response;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

/**
 * @author wwl
 * @version 1.0
 * @date 2021/5/21 10:42
 */
@Service
@AllArgsConstructor
public class CarBrandInfoServiceImpl extends ServiceImpl<CarBrandInfoMapper, CarBrandInfo> implements ICarBrandInfoService {

    private final CarBrandInfoMapper carBrandInfoMapper;


    /**
     * 查询汽车品牌列表 used_car_file
     * @return
     */
    @Override
    public Response selectCarBrandInfoList() {
        List<CarBrandInfo> list = this.list();
        Map<String, List<CarBrandInfo>> map = new HashMap<>();
        for(int i=0;i<26;i++) {
            System.out.print((char)('A'+i)+" ");
            String s = String.valueOf((char) ('A' + i));
            map.put(s,list.stream().filter(m -> s.equals(m.getFirstletter())).collect(Collectors.toList()));
        }
        return Response.success(map);
    }



}
