package com.miaxis.car.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * 二手车对象 used_car_info 返回参
 * @author wwl
 * @version 1.0
 * @date 2021/5/26 15:03
 */
@Data
@ApiModel(value = "UsedCarInfoVo", description = "二手车对象返回参")
public class UsedCarInfoVo {

    @TableId(value = "id")
    @ApiModelProperty(value = "$column.columnComment")
    private Long id;

    @TableField("user_id")
    @ApiModelProperty(value = "用户id(user_info表id)")
    private Long userId;

    @TableField("car_brand")
    @ApiModelProperty(value = "车辆品牌id（关联car_brand_info表）")
    private Long carBrand;

    @TableField("car_series")
    @ApiModelProperty(value = "车系车款")
    private String carSeries;

    @TableField("vehicle_displacement")
    @ApiModelProperty(value = "汽车排量")
    private String vehicleDisplacement;

    @TableField("purchase_date")
    @ApiModelProperty(value = "购买日期")
    private Date purchaseDate;

    @TableField("selling_price")
    @ApiModelProperty(value = "出售价格")
    private BigDecimal sellingPrice;

    @TableField("vehicle_introduction")
    @ApiModelProperty(value = "车辆介绍")
    private String vehicleIntroduction;

    @TableField("producing_country")
    @ApiModelProperty(value = "生产国")
    private Integer producingCountry;

    @TableField("number_of_seats")
    @ApiModelProperty(value = "座位数")
    private Integer numberOfSeats;

    @TableField("model")
    @ApiModelProperty(value = "车型")
    private Integer model;

    @TableField("fuel")
    @ApiModelProperty(value = "燃料")
    private String fuel;

    @TableField("body_structure")
    @ApiModelProperty(value = "车身结构")
    private String bodyStructure;

    @TableField("driving_mode")
    @ApiModelProperty(value = "驱动方式")
    private String drivingMode;

    @TableField("transmission_case")
    @ApiModelProperty(value = "变速箱")
    private String transmissionCase;

    @TableField("purchase_price")
    @ApiModelProperty(value = "购买价格")
    private BigDecimal purchasePrice;

    @TableField("transfer_frequency")
    @ApiModelProperty(value = "过户次数")
    private Integer transferFrequency;

    @TableField("emission_standard")
    @ApiModelProperty(value = "排放标准")
    private Integer emissionStandard;

    @TableField("car_watching_point")
    @ApiModelProperty(value = "看车点")
    private String carWatchingPoint;

    @ApiModelProperty(value = "主图标识-图片id")
    private Long mainSignId;

    @ApiModelProperty(value = "图片url集合")
    private List<Map<String, String>> pictureUrlList;

    @TableField("examine_status")
    @ApiModelProperty(value = "审核状态  0：待审核(默认)、1：审核通过、2：审核未通过")
    private String examineStatus;

    @TableField("audit_information")
    @ApiModelProperty(value = "审核信息（审核未通过原因）")
    private String auditInformation;

    @TableField("status")
    @ApiModelProperty(value = "状态  0：有效(默认)、1：失效 （伪删除）")
    private String status;
}
