package com.miaxis.customer.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 浏览记录客户信息对象返回参
 *
 * @author miaxis
 * @date 2021-03-15
 */
@Data
@ApiModel(value = "BrowseRecordCustomerInfoVo", description = "浏览记录客户信息对象返回参")
public class BrowseRecordCustomerInfoVo implements Serializable {

    @TableId(value = "id")
    @ApiModelProperty(value = "主键")
    private Long id;

    @TableField("corporate_name")
    @ApiModelProperty(value = "公司名称")
    private String corporateName;

    @ApiModelProperty(value = "公司LOGO图片访问地址")
    private String corporateLogoFileUrl;

    @TableField("applet_address")
    @ApiModelProperty(value = "小程序地址")
    private String appletAddress;

    @ApiModelProperty(value = "小程序图标访问地址")
    private String appletLogoFileUrl;

    @ApiModelProperty(value = "小程序二维码访问地址")
    private String appletQrCodeFileUrl;

    @TableField("applet_introduce")
    @ApiModelProperty(value = "小程序介绍")
    private String appletIntroduce;

    @TableField("jump_url")
    @ApiModelProperty(value = "跳转url")
    private String jumpUrl;

    @TableField("jump_url_type")
    @ApiModelProperty(value = "跳转url类型  goMiniApp:小程序 、goPage：小程序页面、goWebView: h5")
    private String jumpUrlType;

    @ApiModelProperty(value = "权重（数值从大到小）")
    private Integer weight;

    @TableField("status")
    @ApiModelProperty(value = "状态  0：有效(默认)、1：失效 （伪删除）")
    private String status;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" )
    @ApiModelProperty(value = "浏览时间" ,hidden = true)
    private Date browseTime;

}
