package com.miaxis.customer.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 客户信息对象返回参
 *
 * @author miaxis
 * @date 2021-03-15
 */
@Data
@ApiModel(value = "CustomerInfoVo", description = "客户信息对象返回参")
public class CustomerInfoVo extends BaseBusinessEntity{
    private static final long serialVersionUID = 1L;

    @TableId(value = "id")
    @ApiModelProperty(value = "主键")
    private Long id;

    @TableField("corporate_name")
    @ApiModelProperty(value = "公司名称")
    private String corporateName;

    @TableField("business_type")
    @ApiModelProperty(value = "业务类型  0：内部小程序、1：外部小程序")
    private Integer businessType;

    @TableField("corporate_logo")
    @ApiModelProperty(value = "公司LOGO图片--（对应file_info的id）")
    private Long corporateLogo;

    @ApiModelProperty(value = "公司LOGO图片访问地址")
    private String corporateLogoFileUrl;

    @TableField("customer_source")
    @ApiModelProperty(value = "客户来源  0：电话营销、1：主动来电、2：客户介绍、3：朋友介绍、4：销售推广、5：网络搜索、6：广告杂志、7：展会促销、8：其他")
    private Integer customerSource;

    @TableField("city_code")
    @ApiModelProperty(value = "所在城市编码（对应城市表）")
    private String cityCode;

    @TableField("area_code")
    @ApiModelProperty(value = "区域编码（对应城市表）")
    private String areaCode;

    @TableField("attributed_personnel")
    @ApiModelProperty(value = "归属人员--关联用户表")
    private Long attributedPersonnel;

    @TableField("detailed_address")
    @ApiModelProperty(value = "详细地址")
    private String detailedAddress;

    @TableField("industry_type")
    @ApiModelProperty(value = "行业类型---关联product_type_info 品类表")
    private Long industryType;

    @TableField("corporate_phone")
    @ApiModelProperty(value = "公司电话")
    private String corporatePhone;

    @TableField("corporate_contacts")
    @ApiModelProperty(value = "公司联系人")
    private String corporateContacts;

    @TableField("phone")
    @ApiModelProperty(value = "手机号码")
    private String phone;

    @TableField("customer_star")
    @ApiModelProperty(value = "客户星级  1：一星、2：二星、3：三星、4：四星、5：五星")
    private Integer customerStar;

    @TableField("enterprise_tax_number")
    @ApiModelProperty(value = "企业税号")
    private String enterpriseTaxNumber;

    @TableField("invoice_title")
    @ApiModelProperty(value = "发票抬头")
    private String invoiceTitle;

    @TableField("bank_of_deposit")
    @ApiModelProperty(value = "开户银行")
    private String bankOfDeposit;

    @TableField("bank_account")
    @ApiModelProperty(value = "银行帐户")
    private String bankAccount;

    @TableField("finance_phone")
    @ApiModelProperty(value = "财务电话号码")
    private String financePhone;

    @TableField("fax_number")
    @ApiModelProperty(value = "传真号码")
    private String faxNumber;

    @TableField("applet_address")
    @ApiModelProperty(value = "小程序地址")
    private String appletAddress;

    @TableField("applet_logo")
    @ApiModelProperty(value = "小程序图标---（对应file_info的id）")
    private Long appletLogo;

    @ApiModelProperty(value = "小程序图标访问地址")
    private String appletLogoFileUrl;

    @TableField("applet_qr_code")
    @ApiModelProperty(value = "小程序二维码---（对应file_info的id）")
    private Long appletQrCode;

    @ApiModelProperty(value = "小程序二维码访问地址")
    private String appletQrCodeFileUrl;

    @TableField("applet_introduce")
    @ApiModelProperty(value = "小程序介绍")
    private String appletIntroduce;

    @TableField("shelf_status")
    @ApiModelProperty(value = "上架状态  0：已上架、1：未上架")
    private Integer shelfStatus;

    @ApiModelProperty(value = "收藏数量")
    private Integer collectionCount;

    @TableField("jump_url")
    @ApiModelProperty(value = "跳转url")
    private String jumpUrl;

    @TableField("jump_url_type")
    @ApiModelProperty(value = "跳转url类型  goMiniApp:小程序 、goPage：小程序页面、goWebView: h5")
    private String jumpUrlType;

    @ApiModelProperty(value = "权重（数值从大到小）")
    private Integer weight;

    @TableField("status")
    @ApiModelProperty(value = "状态  0：有效(默认)、1：失效 （伪删除）")
    private String status;


}
