package com.miaxis.fulu.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *  福禄商品对象 fulu_goods_info
 * @author wwl
 * @version 1.0
 * @date 2021/6/24 15:07
 */
@Data
@TableName("fulu_commodity_info")
@ApiModel(value = "FuluCommodityInfo", description = "福禄商品对象 fulu_goods_info")
public class FuluCommodityInfo extends BaseBusinessEntity {
    private static final long serialVersionUID = 1L;

    @TableId(value = "id")
    @ApiModelProperty(value = "$column.columnComment")
    private Long id;

    @TableField("icon_id")
    @ApiModelProperty(value = "图标id")
    private Long iconId;

    @TableField("name")
    @ApiModelProperty(value = "名称")
    private String name;

    @TableField("introduction")
    @ApiModelProperty(value = "描述")
    private String introduction;

    @TableField("remark")
    @ApiModelProperty(value = "描述")
    private String remark;

    @TableField("product_ids")
    @ApiModelProperty(value = "分类商品ids")
    private String productIds;

    @TableField("fulu_goods_type")
    @ApiModelProperty(value = "福禄商品分类名称（对应字典表）")
    private Integer fuluGoodsType;

    @TableField("status")
    @ApiModelProperty(value = "状态（0正常 1停用）")
    private String status;
}
