package com.miaxis.fulu.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.miaxis.common.core.domain.Response;
import com.miaxis.fulu.domain.FuluCommodityInfo;
import com.miaxis.fulu.vo.FuluCommodityInfoVo;

import java.util.List;

/**
 * 福禄商品Service接口
 * @author wwl
 * @version 1.0
 * @date 2021/6/24 15:36
 */
public interface IFuluCommodityInfoService extends IService<FuluCommodityInfo> {

    /**
     * 查询福禄商品列表
     *
     * @param fuluCommodityInfo 福禄商品
     * @return 福禄商品集合
     */
    List<FuluCommodityInfoVo> selectFuluCommodityInfoList(FuluCommodityInfo fuluCommodityInfo);

    /**
     * 获取福禄商品详细信息
     * @param id
     * @return
     */
    Response<FuluCommodityInfoVo> getFuLuById(Long id);

    /**
     * 删除福禄商品（伪删除）
     * @param ids
     * @return
     */
    Response removeFuLuByIds(Long[] ids);


}
