package com.miaxis.fulu.service.impl;

import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.miaxis.common.core.domain.Response;
import com.miaxis.customer.domain.CustomerInfo;
import com.miaxis.fulu.domain.FuluCommodityInfo;
import com.miaxis.fulu.mapper.FuluCommodityInfoMapper;
import com.miaxis.fulu.service.IFuluCommodityInfoService;
import com.miaxis.fulu.vo.FuluCommodityInfoVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * @author wwl
 * @version 1.0
 * @date 2021/6/24 15:44
 */
@Service
public class FuluCommodityInfoServiceImpl extends ServiceImpl<FuluCommodityInfoMapper, FuluCommodityInfo> implements IFuluCommodityInfoService {

    @Autowired
    private FuluCommodityInfoMapper fuluCommodityInfoMapper;

    /**
     * 查询福禄商品列表
     *
     * @param fuluCommodityInfo 福禄商品
     * @return 福禄商品
     */
    @Override
    public List<FuluCommodityInfoVo> selectFuluCommodityInfoList(FuluCommodityInfo fuluCommodityInfo){
        return fuluCommodityInfoMapper.selectFuluCommodityInfoList(fuluCommodityInfo);
    }

    /**
     * 获取福禄商品详细信息
     * @param id
     * @return
     */
    @Override
    public Response<FuluCommodityInfoVo> getFuLuById(Long id) {
        return Response.success(fuluCommodityInfoMapper.getFuLuById(id));
    }

    /**
     * 删除福禄商品（伪删除）
     * @param ids
     * @return
     */
    @Override
    @Transactional(rollbackFor = Exception.class)
    public Response removeFuLuByIds(Long[] ids) {
        for (Long id : ids) {
            this.update(new UpdateWrapper<FuluCommodityInfo>().set("status",1).eq("id",id));
        }
        return Response.success();
    }
}
