package com.miaxis.fulu.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *  福禄商品对象返回参
 * @author wwl
 * @version 1.0
 * @date 2021/6/25 9:04
 */
@Data
@ApiModel(value = "FuluCommodityInfoVo", description = "福禄商品对象返回参")
public class FuluCommodityInfoVo extends BaseBusinessEntity {

    @TableId(value = "id")
    private Long id;

    @ApiModelProperty(value = "图标访问地址")
    private String iconUrl;

    @TableField("name")
    @ApiModelProperty(value = "名称")
    private String name;

    @TableField("introduction")
    @ApiModelProperty(value = "描述")
    private String introduction;

    @TableField("remark")
    @ApiModelProperty(value = "描述")
    private String remark;

    @TableField("product_ids")
    @ApiModelProperty(value = "分类商品ids")
    private String productIds;

    @ApiModelProperty(value = "福禄商品分类名称（对应字典表）")
    private String fuluGoodsTypeName;

    @TableField("status")
    @ApiModelProperty(value = "状态（0正常 1停用）")
    private String status;
}
