package com.miaxis.goods.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
/**
 * 商品对象 goods_info
 *
 * @author miaxis
 * @date 2021-03-11
 */
@Data
@TableName("goods_info")
@ApiModel(value = "GoodsInfo", description = "商品对象 goods_info")
public class GoodsInfo extends BaseBusinessEntity{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId(value = "id")
    @ApiModelProperty(value = "主键")
    private Long id;

    /** 商品名称 */
    @TableField("goods_name")
    @ApiModelProperty(value = "商品名称")
    private String goodsName;

    /** 商品价格 */
    @TableField("goods_price")
    @ApiModelProperty(value = "商品价格")
    private BigDecimal goodsPrice;

    /** 商品链接 */
    @TableField("goods_link")
    @ApiModelProperty(value = "商品链接")
    private String goodsLink;

    /** 商品描述 */
    @TableField("goods_describe")
    @ApiModelProperty(value = "商品描述")
    private String goodsDescribe;

    /** 商品图片---对应file_info的id */
    @TableField("goods_picture")
    @ApiModelProperty(value = "商品图片---对应file_info的id")
    private Long goodsPicture;

    @TableField("topic_id")
    @ApiModelProperty(value = "专题id")
    private Integer topicId;

    /** 状态  0：有效(默认)、1：失效 （伪删除） */
    @TableField("status")
    @ApiModelProperty(value = "状态  0：有效(默认)、1：失效 （伪删除）")
    private String status;


}
