package com.miaxis.goods.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 商品对象返回参
 *
 * @author miaxis
 * @date 2021-03-11
 */
@Data
@ApiModel(value = "GoodsInfoVo", description = "商品对象返回参")
public class GoodsInfoVo extends BaseBusinessEntity{

    @ApiModelProperty(value = "主键")
    private Long id;

    @TableField("goods_name")
    @ApiModelProperty(value = "商品名称")
    private String goodsName;

    @TableField("goods_price")
    @ApiModelProperty(value = "商品价格")
    private BigDecimal goodsPrice;

    @TableField("goods_link")
    @ApiModelProperty(value = "商品链接")
    private String goodsLink;

    @TableField("goods_describe")
    @ApiModelProperty(value = "商品描述")
    private String goodsDescribe;

    @TableField("goods_picture")
    @ApiModelProperty(value = "商品图片---对应file_info的id")
    private Long goodsPicture;

    @TableField("topic_id")
    @ApiModelProperty(value = "专题id")
    private Integer topicId;

    @ApiModelProperty(value = "状态  0：有效(默认)、1：失效 （伪删除）")
    private String status;

    @ApiModelProperty(value = "商品图片访问地址")
    private String fileUrl;

}
