package com.miaxis.question.service.impl;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.miaxis.common.utils.DateUtils;
import com.miaxis.question.dto.QuestionErrorDto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.apache.commons.lang3.StringUtils;
import com.miaxis.question.mapper.QuestionErrorMapper;
import com.miaxis.question.domain.QuestionError;
import com.miaxis.question.service.IQuestionErrorService;

/**
 * 错题Service业务层处理
 *
 * @author miaxis
 * @date 2021-03-16
 */
@Service
public class QuestionErrorServiceImpl extends ServiceImpl<QuestionErrorMapper, QuestionError> implements IQuestionErrorService {
    @Autowired
    private QuestionErrorMapper questionErrorMapper;

    /**
     * 查询错题列表
     *
     * @param questionError 错题
     * @return 错题
     */
    @Override
    public List<QuestionError> selectQuestionErrorList(QuestionError questionError){
        return questionErrorMapper.selectQuestionErrorList(questionError);
    }

    @Override
    public List<QuestionError> getQuestionErrorList(QuestionErrorDto questionErrorDto) {
        return questionErrorMapper.getQuestionErrorList(questionErrorDto);
    }
}
