package com.miaxis.record.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
/**
 * 浏览记录对象 browse_record_info
 *
 * @author miaxis
 * @date 2021-03-23
 */
@Data
@TableName("browse_record_info")
@ApiModel(value = "BrowseRecordInfo", description = "浏览记录对象 browse_record_info")
public class BrowseRecordInfo extends BaseBusinessEntity{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId(value = "id")
    @ApiModelProperty(value = "主键")
    private Long id;

    /** 用户id----(对应user_info表id) */
    @Excel(name = "用户id----(对应user_info表id)")
    @TableField("user_id")
    @ApiModelProperty(value = "用户id----(对应user_info表id)")
    private Long userId;

    /** 商家id---（对应customer_info表id） */
    @Excel(name = "商家id---（对应customer_info表id）", readConverterExp = "对=应customer_info表id")
    @TableField("customer_id")
    @ApiModelProperty(value = "商家id---（对应customer_info表id）")
    private Long customerId;


}
