package com.miaxis.record.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.miaxis.common.core.domain.Response;
import com.miaxis.common.core.domain.entity.UserInfo;
import com.miaxis.customer.vo.BrowseRecordCustomerInfoVo;
import com.miaxis.record.domain.BrowseRecordInfo;
import com.miaxis.record.vo.BrowseRecordCustomerVo;

import java.util.List;

/**
 * 浏览记录Service接口
 *
 * @author miaxis
 * @date 2021-03-23
 */
public interface IBrowseRecordInfoService extends IService<BrowseRecordInfo>{

    /**
     * 查询浏览记录列表
     * @param userInfo
     * @return
     */
    List<BrowseRecordCustomerInfoVo> getBrowseRecordInfoList(UserInfo userInfo);

    /**
     * 新增浏览记录
     * @param userInfo 当前用户
     * @param id 商家id
     * @return
     */
    Response insertBrowseRecord(UserInfo userInfo, Long id);


    /**
     * 删除浏览记录
     * @param userInfo 当前用户
     * @param ids 商家id
     * @return
     */
    Response removeBrowseRecord(UserInfo userInfo, Long[] ids);

}
