package com.miaxis.record.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 浏览记录对象返回参
 *
 * @author miaxis
 * @date 2021-03-15
 */
@Data
@ApiModel(value = "BrowseRecordCustomerVo", description = "浏览记录对象返回参")
public class BrowseRecordCustomerVo {

    @TableId(value = "id")
    @ApiModelProperty(value = "主键")
    private Long id;

    @ApiModelProperty(value = "商家id")
    private Long customerId;

    @TableField("corporate_name")
    @ApiModelProperty(value = "公司名称")
    private String corporateName;

    @ApiModelProperty(value = "公司LOGO图片访问地址")
    private String corporateLogoFileUrl;

    @TableField("applet_address")
    @ApiModelProperty(value = "小程序地址")
    private String appletAddress;

    @ApiModelProperty(value = "小程序图标访问地址")
    private String appletLogoFileUrl;

    @ApiModelProperty(value = "小程序二维码访问地址")
    private String appletQrCodeFileUrl;

    @TableField("applet_introduce")
    @ApiModelProperty(value = "小程序介绍")
    private String appletIntroduce;

    @TableField("status")
    @ApiModelProperty(value = "状态  0：有效(默认)、1：失效 （伪删除）")
    private String status;

    @ApiModelProperty(value = "浏览时间"  ,hidden = true)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

}
