package com.miaxis.user.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.miaxis.user.vo.UserVo;
import com.miaxis.common.core.domain.entity.UserInfo;
import org.apache.ibatis.annotations.Param;

/**
 * 用户信息Mapper接口
 *
 * @author miaxis
 * @date 2020-12-23
 */
public interface UserInfoMapper extends BaseMapper<UserInfo> {
    /**
     * 查询用户信息
     *
     * @param id 用户信息ID
     * @return 用户信息
     */
    UserInfo selectUserInfoById(Long id);

    /**
     * 删除用户信息
     *
     * @param id 用户信息ID
     * @return 结果
     */
    int deleteUserInfoById(Long id);

    /**
     * 批量删除用户信息
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    int deleteUserInfoByIds(Long[] ids);

    /**
     * 获取我的报名信息
     * @param userId
     * @return
     */
    UserVo getMyRegistrationInformation(@Param("userId") String userId);

    UserInfo selectUserInfoByMobile(String phone);
}
