package com.miaxis.user.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.miaxis.user.domain.UserRegister;

import java.util.List;

/**
 * 用户报名信息Service接口
 *
 * @author miaxis
 * @date 2020-12-25
 */
public interface IUserRegisterService extends IService<UserRegister> {
    /**
     * 查询用户报名信息
     *
     * @param id 用户报名信息ID
     * @return 用户报名信息
     */
    public UserRegister selectUserRegisterById(Long id);

    /**
     * 查询用户报名信息列表
     *
     * @param userRegister 用户报名信息
     * @return 用户报名信息集合
     */
    public List<UserRegister> selectUserRegisterList(UserRegister userRegister);

    /**
     * 新增用户报名信息
     *
     * @param userRegister 用户报名信息
     * @return 结果
     */
    public int insertUserRegister(UserRegister userRegister);

    /**
     * 修改用户报名信息
     *
     * @param userRegister 用户报名信息
     * @return 结果
     */
    public int updateUserRegister(UserRegister userRegister);

    /**
     * 批量删除用户报名信息
     *
     * @param ids 需要删除的用户报名信息ID
     * @return 结果
     */
    public int deleteUserRegisterByIds(Long[] ids);

    /**
     * 删除用户报名信息信息
     *
     * @param id 用户报名信息ID
     * @return 结果
     */
    public int deleteUserRegisterById(Long id);
}
